# motd.tcl - Motd 1.1 IRC Channel Message of The Day
# Copyright (C) 1997, 1998  Daniel Corbe
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA


# Motd 1.1 by Daniel Corbe (Byrd) 
# BotName: Byrd@Visigarth
#   Email: corbe@corbe.net

# Needed. Its the rest of this script =) Please edit settings.tcl
source scripts/motd/settings.tcl
source scripts/motd/bindings.tcl
source scripts/motd/config.tcl


proc do_show_motd {nick uhost hand channel} {
  global motdpath wantgflag botnick myword channels
  if {$nick == $botnick} {
    # do nothing... Back Out Quietly..
  } else {
    foreach i $channels {
      if {$i == $channel} {
        set fd [open $motdpath$i.motd r]
          if {[validuser $hand] == "1"} {
            if {[matchattr $hand G] == 0} {
              if {$wantgflag == "1"} {
                while {![eof $fd]} {
                set motdinfo [gets $fd]
                putserv "NOTICE $nick :-=- $motdinfo"
              }
              putserv "NOTICE $nick :You can turn this message off by typing !NOGREET in the channel"
              putserv "NOTICE $nick :You can turn it on again by typing !YESGREET"
              close $fd
            } else {
              while {![eof $fd]} {
                set motdinfo [gets $fd]
                putserv "NOTICE $nick :-=- $motdinfo"
              }
              close $fd
            }     
          }
        } else {
          if {$wantgflag == "1"} {
            while {![eof $fd]} {
              set motdinfo [gets $fd]
              putserv "NOTICE $nick :-=- $motdinfo"
            }
            close $fd
            putserv "NOTICE $nick :You can turn this message off by typing !NOGREET in the channel"
            putserv "NOTICE $nick :You can turn it on again by typing !YESGREET"
            putserv "NOTICE $nick :I also noticed you are not a user on this bot."
            putserv "NOTICE $nick :if you would like to become a user please type"
            putserv "NOTICE $nick :/msg $botnick $myword"    
          }
        }  
      } 
    }
  }
}

proc do_show_motd_version {nick uhost hand arg} {
  global motd_version motd__v_string
  putserv "NOTICE $nick :$motd_version $motd__v_string"
}

if {$cpuawarness == "1" && $wantgflag == "0"} {
} else {
  proc do_no_greet {nick uhost hand channel arg} {
    global wantgflag botnick myword
    if {[validuser $hand] == "1"} {
      if {[matchattr $hand G] != "1"} {
        putserv "NOTICE $nick :You will no longer recieve automated greets"
        chattr $hand +G
      } else {
         putserv "NOTICE $nick :You already have automated greets OFF!"
      }
    } else {
      putserv "NOTICE $nick :You are not a user on this bot! please /msg $botnick $myword"
    }
  }
}

if {$cpuawarness == "1" && $wantgflag == "0"} {
} else {
  proc do_yes_greet {nick uhost hand channel arg} {
    global wantgflag botnick 
    if {[validuser $hand] == "1"} {
      if {[matchattr $hand G] == "1"} {
        putserv "NOTICE $nick :You will now recieve automated greets"
        chattr $hand -G
      } else {
         putserv "NOTICE $nick :You already have automated greets ON!"
      }
    }
  }
}

putlog "MOTD 1.1 by Daniel Corbe (Byrd) Successfully Loaded"
putlog "Mail corbe@corbe.net with questions/comments"
